
BIBD 3.9.8 (BCR1085, BCR1093, BCR1098) - Bug #18408

[BCR1085][iOS][Security Alert Image] Async process for Image - White screen

12 October 2023 04:10 PM - Feerman Yusoff

Status: Closed Start date: 12 October 2023

Priority: Normal Due date:  

Assignee: Nor Khairun Aqila Jesmen % Done: 100%

Category:  Estimated time: 1.00 hour

Target version:  Spent time: 2.00 hours

Description

Issue: Display white screen first while waiting to display new image

Expected:

- Async request new image and replace image stored. At the same time, Old image will be first displayed at the Home screen

- Should be no white screen at all

History

#1 - 12 October 2023 04:11 PM - Feerman Yusoff

- Subject changed from [BCR1085][iOS][Security Alert Image] Async process for Image White screen to [BCR1085][iOS][Security Alert Image] Async

process for Image - White screen

#2 - 12 October 2023 04:23 PM - Rafly Prayogos

- Status changed from New to Resolved

- Assignee changed from Rafly Prayogos to Feerman Yusoff

- % Done changed from 0 to 100

- Estimated time set to 1.00

https://i.diawi.com/VARsvS

#3 - 12 October 2023 05:52 PM - Feerman Yusoff

- Status changed from Resolved to New

- Assignee changed from Feerman Yusoff to Rafly Prayogos

- % Done changed from 100 to 80

Issue:

- the image take too long to display

- should not force to display new image if take too long, instead display old image first as what been discussed for async process

Expected:

- Async request new image and replace image stored. At the same time, Old image will be first displayed at the Home screen, the next app launch

then will be display new image

#4 - 13 October 2023 10:44 AM - Rafly Prayogos

- Status changed from New to Resolved

- Assignee changed from Rafly Prayogos to Feerman Yusoff

- % Done changed from 80 to 100
https://i.diawi.com/K6NYVx

#5 - 16 October 2023 09:06 AM - Feerman Yusoff

- Status changed from Resolved to Closed

- Assignee changed from Feerman Yusoff to Nor Khairun Aqila Jesmen

Tested good
